net.sf.jasperreports.engine.type

## Enum HyperlinkTargetEnum

- java.lang.Object
- - java.lang.Enum<HyperlinkTargetEnum>
  - - net.sf.jasperreports.engine.type.HyperlinkTargetEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HyperlinkTargetEnum>, JREnum, NamedEnum

      public enum HyperlinkTargetEnum
      extends java.lang.Enum<HyperlinkTargetEnum>
      implements JREnum

  Version:
    $Id: HyperlinkTargetEnum.java 7092 2014-05-14 10:44:16Z narcism $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLANK` Constant useful for specifying that the hyperlink will be opened in a new window.
    `CUSTOM` Custom hyperlink target name.
    `NONE` Target not defined.
    `PARENT` Constant useful for specifying that the hyperlink will be opened in the parent frame.
    `SELF` Constant useful for specifying that the hyperlink will be opened in the same window.
    `TOP` Constant useful for specifying that the hyperlink will be opened in the top frame.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HyperlinkTargetEnum` | `getByName(java.lang.String name)`
    `static HyperlinkTargetEnum` | `getByValue(byte value)`
    `static HyperlinkTargetEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getHtmlValue()`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static HyperlinkTargetEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HyperlinkTargetEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final HyperlinkTargetEnum NONE

      Target not defined.

    - #### SELF

          public static final HyperlinkTargetEnum SELF

      Constant useful for specifying that the hyperlink will be opened in the same window.

    - #### BLANK

          public static final HyperlinkTargetEnum BLANK

      Constant useful for specifying that the hyperlink will be opened in a new window.

    - #### PARENT

          public static final HyperlinkTargetEnum PARENT

      Constant useful for specifying that the hyperlink will be opened in the parent frame.

    - #### TOP

          public static final HyperlinkTargetEnum TOP

      Constant useful for specifying that the hyperlink will be opened in the top frame.

    - #### CUSTOM

          public static final HyperlinkTargetEnum CUSTOM

      Custom hyperlink target name.

      The specific target name is determined by `getLinkTarget()`.

  - ### Method Detail

    - #### values

          public static HyperlinkTargetEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HyperlinkTargetEnum c : HyperlinkTargetEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HyperlinkTargetEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getHtmlValue

          public java.lang.String getHtmlValue()

    - #### getByName

          public static HyperlinkTargetEnum getByName(java.lang.String name)

    - #### getByValue

          public static HyperlinkTargetEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static HyperlinkTargetEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com